<!doctype html>
{% load static %}

<html lang="fr">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>{% block title %}{% endblock %}</title>
    <link rel="stylesheet" type="text/css" href="{% static '../static/css/base.css' %}"/>
    {% block css %}
    {% endblock %}
</head>
<body>
<div class="yaganime-general-body">
    {% block content %}
    {% endblock %}
    <div style="height: 70px; visibility:hidden"></div>
</div>
<div class="yaganime-general-navbar">
    <div class="yaganime-general-navbar-logo">
        <a  href="{% url 'accueil' %}" class="yaganime-general-navbar-logo-image">
            <img class="yaganime-general-navbar-image" width="46" height="46" id="id_yaganime-navbar-logo-home" src="{% static 'img/Black_&_White_Minimalist_%20Logo.png' %}">
        </a>
    </div>
    <div class="yaganime-general-navbar-name">
        {% if user.is_authenticated %}
        <span class="yaganime-general-navbar-name-style">{{ user.username }}</span>
        {% else %}
        <span class="yaganime-general-navbar-name-style">Light Yaganime</span>
        {% endif %}
    </div>
    <div class="yaganime-general-navbar-icon-list">
        <b onclick="openNavbarList()">
            <svg xmlns="http://www.w3.org/2000/svg" class="yaganime-icon" width="45" height="45" fill="currentColor" viewBox="0 0 16 16">
                <path fill-rule="evenodd" d="M2.5 12a.5.5 0 0 1 .5-.5h10a.5.5 0 0 1 0 1H3a.5.5 0 0 1-.5-.5zm0-4a.5.5 0 0 1 .5-.5h10a.5.5 0 0 1 0 1H3a.5.5 0 0 1-.5-.5zm0-4a.5.5 0 0 1 .5-.5h10a.5.5 0 0 1 0 1H3a.5.5 0 0 1-.5-.5z"/>
            </svg>
        </b>
    </div>
</div>
<div id="id_yaganime-general-navbar-list" class="yaganime-general-navbar-list" style="height: 50px">
    <div class="yaganime-general-navbar-list-items">
        {% if user.is_authenticated %}
        <a class="yaganime-general-navbar-list-item" href="/accounts/logout" >Se déconnecter</a>
        {% else %}
        <a class="yaganime-general-navbar-list-item" href="{% url 'login' %}">Se connecter</a>
        {% endif %}
        {% if user.is_authenticated %}
        <a class="yaganime-general-navbar-list-item" href="{% url 'myList' %}">Ma liste</a>
        {% else %}
        <a class="yaganime-general-navbar-list-item" href="/accounts/login">Ma liste</a>
        {% endif %}
        <!-- <a class="yaganime-general-navbar-list-item" href="{% url 'compte' %}">Compte</a> -->
        <a class="yaganime-general-navbar-list-item" href="{% url 'find' %}">Rechercher</a>
        <!-- <a class="yaganime-general-navbar-list-item" href="{% url 'about' %}">A propos</a> -->
        <div style="height: 100%"></div>
    </div>
</div>
</body>
<script>
	function openNavbarList() {
		let x = document.getElementById("id_yaganime-general-navbar-list");
		if (x.style.height === "50px") {
			x.style.height = "200px";
		} else {
			x.style.height = "50px";
		}
	}
</script>
<script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
{% block script %}
{% endblock %}
</html>